Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMImplementationSourceImpl

    java.lang.Object
      org.apache.xerces.dom.DOMImplementationSourceImpl

All Implemented Interfaces:
  org.w3c.dom.DOMImplementationSource

Direct Known Subclasses:
  DOMXSImplementationSourceImpl

    public class DOMImplementationSourceImpl

extends java.lang.Object
implements org.w3c.dom.DOMImplementationSource

Supply one the right implementation, based upon requested features. Each implemented `DOMImplementationSource` object is listed in the binding-specific list of available sources so that its `DOMImplementation` objects are made available.

See also the Document Object Model (DOM) Level 3 Core Specification.

Version:
  $Id: DOMImplementationSourceImpl.java 447266 2006-09-18 05:57:49Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`DOMImplementationSourceImpl()`

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation(java.lang.String features)` A method to request a DOM implementation.
`org.w3c.dom.DOMImplementationList` | `getDOMImplementationList(java.lang.String features)` A method to request a list of DOM implementations that support the specified features and versions, as specified in .

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMImplementationSourceImpl

    public DOMImplementationSourceImpl()

Method Detail

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation(java.lang.String features)

  A method to request a DOM implementation.

  Specified by:
    `getDOMImplementation` in interface `org.w3c.dom.DOMImplementationSource`
  Parameters:
    `features` - A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal Events 2.0"
  Returns:
    An implementation that has the desired features, or `null` if this source has none.

### getDOMImplementationList

    public org.w3c.dom.DOMImplementationList getDOMImplementationList(java.lang.String features)

  A method to request a list of DOM implementations that support the specified features and versions, as specified in .

  Specified by:
    `getDOMImplementationList` in interface `org.w3c.dom.DOMImplementationSource`
  Parameters:
    `features` - A string that specifies which features and versions are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 3.0 Traversal +Events 2.0"
  Returns:
    A list of DOM implementations that support the desired features.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.